Skip to main content
POST
/
2026-01
/
retail-media
/
accounts
/
{account-id}
/
audience-segments
/
create
/2026-01/retail-media/accounts/{account-id}/audience-segments/create
curl --request POST \
  --url https://api.criteo.com/2026-01/retail-media/accounts/{account-id}/audience-segments/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": [
    {
      "type": "<string>"
    }
  ]
}
'
{
  "data": [
    {
      "attributes": {
        "accountId": "<string>",
        "channels": [],
        "contactList": {
          "isReadOnly": true
        },
        "createdAt": "2023-11-07T05:31:56Z",
        "createdById": "<string>",
        "description": "<string>",
        "events": {
          "brandIds": [
            "<string>"
          ],
          "categoryIds": [
            "<string>"
          ],
          "maxPrice": 123,
          "minPrice": 123
        },
        "name": "<string>",
        "retailerId": "<string>",
        "updatedAt": "2023-11-07T05:31:56Z"
      },
      "id": "<string>",
      "type": "<string>"
    }
  ],
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

account-id
string
required

Account Id

Body

application/json

Segment creation parameter

A top-level object that encapsulates a Criteo API request for several values.

data
object[]

Response

200 - application/json

Success or partial success

A top-level object that encapsulates a Criteo API response for several entities

data
object[] | null
errors
object[] | null
read-only
warnings
object[] | null
read-only